[Asus UX360UA] battery status in unity-panel is not changing when battery is being charged

Bug #1661876 reported by tjiagoM on 2017-02-04
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Kai-Heng Feng
Artful
Undecided
Unassigned

Bug Description

=== SRU Justification ===
[Impact]
Some Asus laptops report "discharging" when the battery is full and AC
is plugged

[Test]
Charge battery to full, the issue appears.
Users report with the patch the behaviour is correct.

[Fix]
The discharge rate is 0 on those machines. Use that to detect the wrong
status report.

[Regression Potential]
Low. The quirk uses strict DMI to match affected systems.

=== Original Bug Report ===
I've just installed Ubuntu 16.04.1 in dualboot on top of an Asus UX360UA, alongside with Windows 10. I've already installed the updates meanwhile.

When I start charging my computer the battery icon on the unity-panel is not changing (it stays in the 98% complete).

This is strange because this is a fresh installation so I didn't change any configuration yet. Also, when I tried this ubuntu in the live pen, I noticed that the icon changed when I started charging the laptop. That's why I think it is a bug.
---
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tjiagom 1806 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=0eaf9255-c29a-41b7-8449-1eb52f637933
InstallationDate: Installed on 2017-02-04 (0 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 002: ID 04f2:b56b Chicony Electronics Co., Ltd
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. UX360UA
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-62-generic.efi.signed root=UUID=6ca1f963-632a-401d-80db-610ef37f1f26 ro quiet splash
ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-62-generic N/A
 linux-backports-modules-4.4.0-62-generic N/A
 linux-firmware 1.157.6
Tags: xenial
Uname: Linux 4.4.0-62-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 06/17/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX360UA.300
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX360UA
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX360UA.300:bd06/17/2016:svnASUSTeKCOMPUTERINC.:pnUX360UA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX360UA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: UX360UA
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

apport information

tags: added: apport-collected xenial
description: updated
tjiagoM (tjiagom) wrote : CRDA.txt

apport information

apport information

apport information

apport information

tjiagoM (tjiagom) wrote : Lspci.txt

apport information

apport information

apport information

apport information

apport information

apport information

tjiagoM (tjiagom) wrote : RfKill.txt

apport information

tjiagoM (tjiagom) wrote : UdevDb.txt

apport information

apport information

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tjiagoM (tjiagom) wrote :

What I see, although battery is being charged

Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.10 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10-rc7

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tjiagoM (tjiagom) wrote :

I forgot to mention something in the original report (it happens in both the kernels):

I discovered that when I plug my electric wire when the battery is not full, the icon of charging appears. However, when it gets to the 100%, the charging icon disappears again.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tjiagoM (tjiagom) wrote :

I have now kernel 4.14 and this issue is still not solved.

> On 21 Dec 2017, at 11:02 PM, tjiagoM <email address hidden> wrote:
>
> I have now kernel 4.14 and this issue is still not solved.

Same as LP: #1482390?

>
> --
> You received this bug notification because you are subscribed to linux
> in Ubuntu.
> https://bugs.launchpad.net/bugs/1661876
>
> Title:
> [Asus UX360UA] battery status in unity-panel is not changing when
> battery is being charged
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> I've just installed Ubuntu 16.04.1 in dualboot on top of an Asus
> UX360UA, alongside with Windows 10. I've already installed the updates
> meanwhile.
>
> When I start charging my computer the battery icon on the unity-panel
> is not changing (it stays in the 98% complete).
>
> This is strange because this is a fresh installation so I didn't change any configuration yet. Also, when I tried this ubuntu in the live pen, I noticed that the icon changed when I started charging the laptop. That's why I think it is a bug.
> ---
> ApportVersion: 2.20.1-0ubuntu2.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: tjiagom 1806 F.... pulseaudio
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 16.04
> HibernationDevice: RESUME=UUID=0eaf9255-c29a-41b7-8449-1eb52f637933
> InstallationDate: Installed on 2017-02-04 (0 days ago)
> InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 002: ID 04f2:b56b Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: ASUSTeK COMPUTER INC. UX360UA
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-62-generic.efi.signed root=UUID=6ca1f963-632a-401d-80db-610ef37f1f26 ro quiet splash
> ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-62-generic N/A
> linux-backports-modules-4.4.0-62-generic N/A
> linux-firmware 1.157.6
> Tags: xenial
> Uname: Linux 4.4.0-62-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 06/17/2016
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX360UA.300
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: UX360UA
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK COMPUTER INC.
> dmi.chassis.version: 1.0
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX360UA.300:bd06/17/2016:svnASUSTeKCOMPUTERINC.:pnUX360UA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX360UA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
> dmi.product.name: UX360UA
> dmi.product.version: 1.0
> dmi.sys.vendor: ASUSTeK COMPUTER INC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1661876/+subscriptions

tjiagoM (tjiagom) wrote :

I don't think it is the same. If I understood well, that issue states that the battery status is showing always discharging, while in my case, as I said in the last message, "I discovered that when I plug my electric wire when the battery is not full, the icon of charging appears. However, when it gets to the 100%, the charging icon disappears again."

Download full text (3.5 KiB)

> On 2 Jan 2018, at 8:00 PM, tjiagoM <email address hidden> wrote:
>
> I don't think it is the same. If I understood well, that issue states
> that the battery status is showing always discharging, while in my case,
> as I said in the last message, "I discovered that when I plug my
> electric wire when the battery is not full, the icon of charging
> appears. However, when it gets to the 100%, the charging icon disappears
> again.”

Is the picture in comment #16 "However, when it gets to the 100%, the charging icon disappears again.”?

>
> --
> You received this bug notification because you are subscribed to linux
> in Ubuntu.
> https://bugs.launchpad.net/bugs/1661876
>
> Title:
> [Asus UX360UA] battery status in unity-panel is not changing when
> battery is being charged
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> I've just installed Ubuntu 16.04.1 in dualboot on top of an Asus
> UX360UA, alongside with Windows 10. I've already installed the updates
> meanwhile.
>
> When I start charging my computer the battery icon on the unity-panel
> is not changing (it stays in the 98% complete).
>
> This is strange because this is a fresh installation so I didn't change any configuration yet. Also, when I tried this ubuntu in the live pen, I noticed that the icon changed when I started charging the laptop. That's why I think it is a bug.
> ---
> ApportVersion: 2.20.1-0ubuntu2.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: tjiagom 1806 F.... pulseaudio
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 16.04
> HibernationDevice: RESUME=UUID=0eaf9255-c29a-41b7-8449-1eb52f637933
> InstallationDate: Installed on 2017-02-04 (0 days ago)
> InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 002: ID 04f2:b56b Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: ASUSTeK COMPUTER INC. UX360UA
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-62-generic.efi.signed root=UUID=6ca1f963-632a-401d-80db-610ef37f1f26 ro quiet splash
> ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-62-generic N/A
> linux-backports-modules-4.4.0-62-generic N/A
> linux-firmware 1.157.6
> Tags: xenial
> Uname: Linux 4.4.0-62-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 06/17/2016
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX360UA.300
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: UX360UA
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK COMPUTER INC.
> dmi.chassis.version: 1.0
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX36...

Read more...

tjiagoM (tjiagom) wrote :

Yes, that's the picture that shows up with 100% as well (although I'm connected to electricity, the battery just shows as it was full).

When the battery is not full, the icon is shown properly, I guess that image was from some past kernel I had.

Kai-Heng Feng (kaihengfeng) wrote :
tjiagoM (tjiagom) wrote :

Dear Kai, I tried that kernel with a battery 95% full

- While charging the laptop, the battery symbol appeared as charging (as it was before, nothing new here).

- When it reached 100%, the battery symbol appeared as full, but not with the charging symbol. So, the problem still persists here, as the electric wire was still connected to the electricity. When connected to the electricity, the symbol should be as charging (like in previous versions of Ubuntu).

- After a while, the battery symbol simply disappeared from the above unity bar.

- So, I tried to unplug the wire from the laptop and the symbol appeared again, now with 99%, but without the symbol of charging. So, I guess again, the issue still persists.

Kai-Heng Feng (kaihengfeng) wrote :

Can you attach output of `sudo acpitool -a -b` when the battery is 100% and charging?

tjiagoM (tjiagom) wrote :

Here it is:
  Battery #1 : Full, 100.0%
  AC adapter : online

Again, after waiting a bit the symbol of the battery disappears with your kernel. When that happens, I remove the wire and the output of the same command is:
  Battery #1 : Discharging, 100.0%, 10:00:21
  AC adapter : off-line

So, I put it again, and running the same command again:
  Battery #1 : Full, 99.40%
  AC adapter : online
(not sure this last thing of the 99% thing is an issue with the battery)

I'm attaching a screenshot so you can see the symbol (it's the same with 100% and charging).

Kai-Heng Feng (kaihengfeng) wrote :

So what's the output of `acpitool -a -b` when the icon disappears?

Also, what's the output of `gsettings get com.canonical.indicator.power icon-policy`?

tjiagoM (tjiagom) wrote :

The output of `gsettings (...)` is always 'charge'

When the icon disappears, the output of `acpitool -a -b` is:

  Battery #1 : Full, 100.0%
  AC adapter : online

Kai-Heng Feng (kaihengfeng) wrote :

Try `gsettings set com.canonical.indicator.power icon-policy present`.

tjiagoM (tjiagom) wrote :

Yes, that last command makes the icon appear, writing "100%", and with the charging symbol! Shouldn't the icon-policy be set to present by default (I guess this would solve the issue)?

However, that strange thing about the battery being at 98% (or even 95% sometimes) and recognising it as full, continues to happen. I have to explore more to see whether it is a problem with the battery or with ubuntu.

Download full text (3.7 KiB)

> On 12 Jan 2018, at 7:27 PM, tjiagoM <email address hidden> wrote:
>
> Yes, that last command makes the icon appear, writing "100%", and with
> the charging symbol! Shouldn't the icon-policy be set to present by
> default (I guess this would solve the issue)?

Actually it is the default. Maybe it wasn’t the default in the past, or maybe you accidentally changed it?

>
> However, that strange thing about the battery being at 98% (or even 95%
> sometimes) and recognising it as full, continues to happen. I have to
> explore more to see whether it is a problem with the battery or with
> ubuntu.

I think most battery firmware behave like what you observed - they won’t charge the battery unless it hit certain threshold.

>
> --
> You received this bug notification because you are subscribed to linux
> in Ubuntu.
> https://bugs.launchpad.net/bugs/1661876
>
> Title:
> [Asus UX360UA] battery status in unity-panel is not changing when
> battery is being charged
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> I've just installed Ubuntu 16.04.1 in dualboot on top of an Asus
> UX360UA, alongside with Windows 10. I've already installed the updates
> meanwhile.
>
> When I start charging my computer the battery icon on the unity-panel
> is not changing (it stays in the 98% complete).
>
> This is strange because this is a fresh installation so I didn't change any configuration yet. Also, when I tried this ubuntu in the live pen, I noticed that the icon changed when I started charging the laptop. That's why I think it is a bug.
> ---
> ApportVersion: 2.20.1-0ubuntu2.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: tjiagom 1806 F.... pulseaudio
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 16.04
> HibernationDevice: RESUME=UUID=0eaf9255-c29a-41b7-8449-1eb52f637933
> InstallationDate: Installed on 2017-02-04 (0 days ago)
> InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 002: ID 04f2:b56b Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: ASUSTeK COMPUTER INC. UX360UA
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-62-generic.efi.signed root=UUID=6ca1f963-632a-401d-80db-610ef37f1f26 ro quiet splash
> ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-62-generic N/A
> linux-backports-modules-4.4.0-62-generic N/A
> linux-firmware 1.157.6
> Tags: xenial
> Uname: Linux 4.4.0-62-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 06/17/2016
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX360UA.300
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: UX360UA
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chass...

Read more...

Changed in linux (Ubuntu):
status: Confirmed → Invalid
tjiagoM (tjiagom) wrote :

Ok, I doubt that I accidentally changed it, but we never know, thanks for sorting this out.

By the way, just to be noted down, I think the problem was solved just in the kernel you asked me to try. I have switched back to kernel 4.14, and I just noticed that although I have 100% in my battery and laptop is connected to electricity, the charging symbol doesn't show up.

(Strange) output of `acpitool -a -b`:
  Battery #1 : Discharging, 100.0%
  AC adapter : online

And output of `gsettings get com.canonical.indicator.power icon-policy`:
'present'

(Just to be written down what were the differences in the output to my current kernel)

Kai-Heng Feng (kaihengfeng) wrote :

That means this laptop still need some fix from kernel side.

Changed in linux (Ubuntu):
status: Invalid → Confirmed
assignee: nobody → Kai-Heng Feng (kaihengfeng)
description: updated
Seth Forshee (sforshee) on 2018-03-01
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Artful):
status: New → Fix Committed
tjiagoM (tjiagom) wrote :

I see here that a fix was committed to Ubuntu Artful. Does this mean the fix is specific for ubuntu distributions or there is a new kernel I will be able to use with my ubuntu 16.04?

Kai-Heng Feng (kaihengfeng) wrote :

If you use HWE kernel (v4.13 based), you will get this update really soon.

Launchpad Janitor (janitor) wrote :
Download full text (40.0 KiB)

This bug was fixed in the package linux - 4.15.0-12.13

---------------
linux (4.15.0-12.13) bionic; urgency=medium

  * linux: 4.15.0-12.13 -proposed tracker (LP: #1754059)

  * CONFIG_EFI=y on armhf (LP: #1726362)
    - [Config] CONFIG_EFI=y on armhf, reconcile secureboot EFI settings

  * ppc64el: Support firmware disable of RFI flush (LP: #1751994)
    - powerpc/pseries: Support firmware disable of RFI flush
    - powerpc/powernv: Support firmware disable of RFI flush

  * [Feature] CFL/CNL (PCH:CNP-H): New GPIO Commit added (GPIO Driver needed)
    (LP: #1751714)
    - gpio / ACPI: Drop unnecessary ACPI GPIO to Linux GPIO translation
    - pinctrl: intel: Allow custom GPIO base for pad groups
    - pinctrl: cannonlake: Align GPIO number space with Windows

  * [Feature] Add xHCI debug device support in the driver (LP: #1730832)
    - usb: xhci: Make some static functions global
    - usb: xhci: Add DbC support in xHCI driver
    - [Config] USB_XHCI_DBGCAP=y for commit mainline dfba2174dc42.

  * [SRU] Lenovo E41 Mic mute hotkey is not responding (LP: #1753347)
    - platform/x86: ideapad-laptop: Increase timeout to wait for EC answer

  * headset mic can't be detected on two Dell machines (LP: #1748807)
    - ALSA: hda - Fix a wrong FIXUP for alc289 on Dell machines

  * hisi_sas: Add disk LED support (LP: #1752695)
    - scsi: hisi_sas: directly attached disk LED feature for v2 hw

  * [Feature] [Graphics]Whiskey Lake (Coffelake-U 4+2) new PCI Device ID adds
    (LP: #1742561)
    - drm/i915/cfl: Adding more Coffee Lake PCI IDs.

  * [Bug] [USB Function][CFL-CNL PCH]Stall Error and USB Transaction Error in
    trace, Disable of device-initiated U1/U2 failed and rebind failed: -517
    during suspend/resume with usb storage. (LP: #1730599)
    - usb: Don't print a warning if interface driver rebind is deferred at resume

  * retpoline: ignore %cs:0xNNN constant indirections (LP: #1752655)
    - [Packaging] retpoline -- elide %cs:0xNNNN constants on i386
    - [Config] retpoline -- clean up i386 retpoline files

  * hisilicon hibmc regression due to ea642c3216cb ("drm/ttm: add io_mem_pfn
    callback") (LP: #1738334)
    - drm/ttm: add ttm_bo_io_mem_pfn to check io_mem_pfn

  * [Asus UX360UA] battery status in unity-panel is not changing when battery is
    being charged (LP: #1661876) // AC adapter status not detected on Asus
    ZenBook UX410UAK (LP: #1745032)
    - ACPI / battery: Add quirk for Asus UX360UA and UX410UAK

  * ASUS UX305LA - Battery state not detected correctly (LP: #1482390)
    - ACPI / battery: Add quirk for Asus GL502VSK and UX305LA

  * [18.04 FEAT] Automatically detect layer2 setting in the qeth device driver
    (LP: #1747639)
    - s390/diag: add diag26c support for VNIC info
    - s390/qeth: support early setup for z/VM NICs

  * Bionic update to v4.15.7 stable release (LP: #1752317)
    - netfilter: drop outermost socket lock in getsockopt()
    - arm64: mm: don't write garbage into TTBR1_EL1 register
    - kconfig.h: Include compiler types to avoid missed struct attributes
    - MIPS: boot: Define __ASSEMBLY__ for its.S build
    - xtensa: fix high memory/reserved memory collision
    - scsi: ibmvfc: fix misde...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Stefan Bader (smb) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
tjiagoM (tjiagom) wrote :

I'm using kernel 4.15.10 in Ubuntu 16.04 but didn't see any change. Is it maybe the previous configurations I have or not this kernel the one with the fix?

Kai-Heng Feng (kaihengfeng) wrote :

The first mainline kernel that support this is v4.16-rc1.

tjiagoM (tjiagom) wrote :

I installed v4.16-rc1 and it seems to be working!

Kai-Heng Feng (kaihengfeng) wrote :

I backported the fix to Artful's kernel, so please follow instruction in #38 and update the tag, thanks!

tjiagoM (tjiagom) wrote :

Hi, I have Ubuntu 16.04 (xenial). So I guess I cannot do that because you are targeting artful?

tjiagoM (tjiagom) wrote :

Also, I'm a bit confused to what to do as described in #38. I kinda see that I have to accept things from -proposed, but then what packages I have to install? How can I actually then change to `verification-done-artful`?

I don't understand why all those steps if I confirmed already that after installing kernel v4.16rc1 everything is corrected.

Kai-Heng Feng (kaihengfeng) wrote :

If you use "linux-generic-hwe-16.04/xenial-proposed 4.13.0.38.57", which is the same kernel used in Artful, and doesn't see this issue, then you can add "verification-needed-artful" tag.

tjiagoM (tjiagom) wrote :

What's the correct way to find that kernel?

So far I have been taking my kernels from here (including the v4.16rc1 which I tried): http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D

Kai-Heng Feng (kaihengfeng) wrote :

Well, after you enable -proposed, you can get the new kernel package via "sudo apt update && sudo apt dist-upgrade".

Reboot, and choose 4.13.0.38.57 from Grub menu to boot.

tjiagoM (tjiagom) wrote :

I (think) I have enabled proposed by:

Adding:

deb http://archive.ubuntu.com/ubuntu/ xenial-proposed restricted main multiverse universe

to /etc/apt/sources.list

And creating the file /etc/apt/preferences.d/proposed-updates with the following content:
Package: *
Pin: release a=xenial-proposed
Pin-Priority: 400

I have run "sudo apt update && sudo apt dist-upgrade", reboot, but no 4.13 option appear in grub. Just the ones I currently have (like 4.16, 4.4, etc)

What am I doing wrong here?

Kai-Heng Feng (kaihengfeng) wrote :

Looks like you didn't enable HWE stack?
$ sudo apt install linux-generic-hwe-16.04-edge

Then system should have this kernel installed.

tjiagoM (tjiagom) wrote :

Indeed with that command kernel "4.13.0-36-generic" was installed, but I think that's not the one you wanted me to install...

With this new kernel, the bug persists.

Kai-Heng Feng (kaihengfeng) wrote :

The one in -proposed should be 4.13.0-38-generic.

tjiagoM (tjiagom) wrote :
Download full text (3.8 KiB)

I understand that should be the kernel, but it's not the one that is being
installed following the steps I shown. Is it possible to install it in
other ways?

On Thursday, 29 March 2018, Kai-Heng Feng <email address hidden>
wrote:

> The one in -proposed should be 4.13.0-38-generic.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1661876
>
> Title:
> [Asus UX360UA] battery status in unity-panel is not changing when
> battery is being charged
>
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Artful:
> Fix Committed
>
> Bug description:
> === SRU Justification ===
> [Impact]
> Some Asus laptops report "discharging" when the battery is full and AC
> is plugged
>
> [Test]
> Charge battery to full, the issue appears.
> Users report with the patch the behaviour is correct.
>
> [Fix]
> The discharge rate is 0 on those machines. Use that to detect the wrong
> status report.
>
> [Regression Potential]
> Low. The quirk uses strict DMI to match affected systems.
>
> === Original Bug Report ===
> I've just installed Ubuntu 16.04.1 in dualboot on top of an Asus
> UX360UA, alongside with Windows 10. I've already installed the updates
> meanwhile.
>
> When I start charging my computer the battery icon on the unity-panel
> is not changing (it stays in the 98% complete).
>
> This is strange because this is a fresh installation so I didn't change
> any configuration yet. Also, when I tried this ubuntu in the live pen, I
> noticed that the icon changed when I started charging the laptop. That's
> why I think it is a bug.
> ---
> ApportVersion: 2.20.1-0ubuntu2.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: tjiagom 1806 F.... pulseaudio
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 16.04
> HibernationDevice: RESUME=UUID=0eaf9255-c29a-41b7-8449-1eb52f637933
> InstallationDate: Installed on 2017-02-04 (0 days ago)
> InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64
> (20160719)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 002: ID 04f2:b56b Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: ASUSTeK COMPUTER INC. UX360UA
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-62-generic.efi.signed
> root=UUID=6ca1f963-632a-401d-80db-610ef37f1f26 ro quiet splash
> ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-62-generic N/A
> linux-backports-modules-4.4.0-62-generic N/A
> linux-firmware 1.157.6
> Tags: xenial
> Uname: Linux 4.4.0-62-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 06/17/2016
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX360UA.300
> dmi.board...

Read more...

Kai-Heng Feng (kaihengfeng) wrote :
Download full text (7.5 KiB)

tjiagoM <email address hidden> wrote:

> I understand that should be the kernel, but it's not the one that is being
> installed following the steps I shown. Is it possible to install it in
> other ways?

Well, did you follow the instruction to enable Proposed?

>
> On Thursday, 29 March 2018, Kai-Heng Feng <email address hidden>
> wrote:
>
>> The one in -proposed should be 4.13.0-38-generic.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1661876
>>
>> Title:
>> [Asus UX360UA] battery status in unity-panel is not changing when
>> battery is being charged
>>
>> Status in linux package in Ubuntu:
>> Fix Released
>> Status in linux source package in Artful:
>> Fix Committed
>>
>> Bug description:
>> === SRU Justification ===
>> [Impact]
>> Some Asus laptops report "discharging" when the battery is full and AC
>> is plugged
>>
>> [Test]
>> Charge battery to full, the issue appears.
>> Users report with the patch the behaviour is correct.
>>
>> [Fix]
>> The discharge rate is 0 on those machines. Use that to detect the wrong
>> status report.
>>
>> [Regression Potential]
>> Low. The quirk uses strict DMI to match affected systems.
>>
>> === Original Bug Report ===
>> I've just installed Ubuntu 16.04.1 in dualboot on top of an Asus
>> UX360UA, alongside with Windows 10. I've already installed the updates
>> meanwhile.
>>
>> When I start charging my computer the battery icon on the unity-panel
>> is not changing (it stays in the 98% complete).
>>
>> This is strange because this is a fresh installation so I didn't change
>> any configuration yet. Also, when I tried this ubuntu in the live pen, I
>> noticed that the icon changed when I started charging the laptop. That's
>> why I think it is a bug.
>> ---
>> ApportVersion: 2.20.1-0ubuntu2.5
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: tjiagom 1806 F.... pulseaudio
>> CurrentDesktop: Unity
>> DistroRelease: Ubuntu 16.04
>> HibernationDevice: RESUME=UUID=0eaf9255-c29a-41b7-8449-1eb52f637933
>> InstallationDate: Installed on 2017-02-04 (0 days ago)
>> InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64
>> (20160719)
>> Lsusb:
>> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
>> Bus 001 Device 002: ID 04f2:b56b Chicony Electronics Co., Ltd
>> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>> MachineType: ASUSTeK COMPUTER INC. UX360UA
>> Package: linux (not installed)
>> ProcFB: 0 inteldrmfb
>> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-62-generic.efi.signed
>> root=UUID=6ca1f963-632a-401d-80db-610ef37f1f26 ro quiet splash
>> ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
>> RelatedPackageVersions:
>> linux-restricted-modules-4.4.0-62-generic N/A
>> linux-backports-modules-4.4.0-62-generic N/A
>> linux-firmware 1.157.6
>> Tags: xenial
>> Uname: Linux 4.4.0-62-generic x86_64
>> UpgradeStatus: No upgrade log present (probably fresh install)
>> UserGroups: adm...

Read more...

tjiagoM (tjiagom) wrote :

I think I did as I described in #48. Did I miss some step?

I (think) I have enabled proposed by:

Adding:

deb http://archive.ubuntu.com/ubuntu/ xenial-proposed restricted main multiverse universe

to /etc/apt/sources.list

And creating the file /etc/apt/preferences.d/proposed-updates with the following content:
Package: *
Pin: release a=xenial-proposed
Pin-Priority: 400

I have run "sudo apt update && sudo apt dist-upgrade", reboot, but no 4.13 option appear in grub. Just the ones I currently have (like 4.16, 4.4, etc)

What am I doing wrong here?

tjiagoM (tjiagom) wrote :

I enabled HWE (by running `sudo apt-get install --install-recommends linux-generic-hwe-16.04 xserver-xorg-hwe-16.04`), and indeed a new kernel was installed (4.13.0-37-generic).

It's still not the one you mention. Maybe because it's not yet available in ubuntuu 16.04?

Kai-Heng Feng (kaihengfeng) wrote :

$ rmadison linux-image-generic-hwe-16.04
 linux-image-generic-hwe-16.04 | 4.13.0.37.56 | xenial-security | amd64, arm64, armhf, i386, ppc64el, s390x
 linux-image-generic-hwe-16.04 | 4.13.0.37.56 | xenial-updates | amd64, arm64, armhf, i386, ppc64el, s390x
 linux-image-generic-hwe-16.04 | 4.13.0.38.57 | xenial-proposed | amd64, arm64, armhf, i386, ppc64el, s390x

So it's there. I guess you need to change your mirror.

Launchpad Janitor (janitor) wrote :
Download full text (18.9 KiB)

This bug was fixed in the package linux - 4.13.0-38.43

---------------
linux (4.13.0-38.43) artful; urgency=medium

  * linux: 4.13.0-38.43 -proposed tracker (LP: #1755762)

  * Servers going OOM after updating kernel from 4.10 to 4.13 (LP: #1748408)
    - i40e: Fix memory leak related filter programming status
    - i40e: Add programming descriptors to cleaned_count

  * [SRU] Lenovo E41 Mic mute hotkey is not responding (LP: #1753347)
    - platform/x86: ideapad-laptop: Increase timeout to wait for EC answer

  * fails to dump with latest kpti fixes (LP: #1750021)
    - kdump: write correct address of mem_section into vmcoreinfo

  * headset mic can't be detected on two Dell machines (LP: #1748807)
    - ALSA: hda/realtek - Support headset mode for ALC215/ALC285/ALC289
    - ALSA: hda - Fix headset mic detection problem for two Dell machines
    - ALSA: hda - Fix a wrong FIXUP for alc289 on Dell machines

  * CIFS SMB2/SMB3 does not work for domain based DFS (LP: #1747572)
    - CIFS: make IPC a regular tcon
    - CIFS: use tcon_ipc instead of use_ipc parameter of SMB2_ioctl
    - CIFS: dump IPC tcon in debug proc file

  * i2c-thunderx: erroneous error message "unhandled state: 0" (LP: #1754076)
    - i2c: octeon: Prevent error message on bus error

  * hisi_sas: Add disk LED support (LP: #1752695)
    - scsi: hisi_sas: directly attached disk LED feature for v2 hw

  * EDAC, sb_edac: Backport 1 patch to Ubuntu 17.10 (Fix missing DIMM sysfs
    entries with KNL SNC2/SNC4 mode) (LP: #1743856)
    - EDAC, sb_edac: Fix missing DIMM sysfs entries with KNL SNC2/SNC4 mode

  * [regression] Colour banding and artefacts appear system-wide on an Asus
    Zenbook UX303LA with Intel HD 4400 graphics (LP: #1749420)
    - drm/edid: Add 6 bpc quirk for CPT panel in Asus UX303LA

  * DVB Card with SAA7146 chipset not working (LP: #1742316)
    - vmalloc: fix __GFP_HIGHMEM usage for vmalloc_32 on 32b systems

  * [Asus UX360UA] battery status in unity-panel is not changing when battery is
    being charged (LP: #1661876) // AC adapter status not detected on Asus
    ZenBook UX410UAK (LP: #1745032)
    - ACPI / battery: Add quirk for Asus UX360UA and UX410UAK

  * ASUS UX305LA - Battery state not detected correctly (LP: #1482390)
    - ACPI / battery: Add quirk for Asus GL502VSK and UX305LA

  * support thunderx2 vendor pmu events (LP: #1747523)
    - perf pmu: Extract function to get JSON alias map
    - perf pmu: Pass pmu as a parameter to get_cpuid_str()
    - perf tools arm64: Add support for get_cpuid_str function.
    - perf pmu: Add helper function is_pmu_core to detect PMU CORE devices
    - perf vendor events arm64: Add ThunderX2 implementation defined pmu core
      events
    - perf pmu: Add check for valid cpuid in perf_pmu__find_map()

  * lpfc.ko module doesn't work (LP: #1746970)
    - scsi: lpfc: Fix loop mode target discovery

  * Ubuntu 17.10 crashes on vmalloc.c (LP: #1739498)
    - powerpc/mm/book3s64: Make KERN_IO_START a variable
    - powerpc/mm/slb: Move comment next to the code it's referring to
    - powerpc/mm/hash64: Make vmalloc 56T on hash

  * ethtool -p fails to light NIC LED on HiSilicon D05 systems (LP: #1748567)
    - net...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers